d.text(1)

NAME
d.text - Draws text in the active display frame on the graphics monitor using the current font.

SYNOPSIS
d.text
d.text help
d.text [-b] [size=float] [color=string] [line=integer] [at=x,y]

  Flags:

-b  Use bold text

  Parameters:

size=float
    Height of letters in percent of available frame height Options: 0-100 Default: 5

color=string
    Text color, either a standard GRASS color or R:G:B triplet (separated by colons) Default: gray

line=integer
    The screen line number on which text will begin to be drawn Options: 1-1000

at=x,y
    Screen postion at which text will begin to be drawn (percentage, [0,0] is lower left) Options: 0-100

DESCRIPTION
d.text draws text in the active display frame on the graphics monitor. Text can be provided through standard input or redirected from a file (using the UNIX redirection mechanism). In addition to the options provided on the command line, colors, text size, font type, and boldness, can be adjusted with commands in the standard input (i.e., if the user invokes d.text without options on the command line, and then assigns values to these options on lines within the standard input). In this case, the user also sees the standard GRASS parser interface.

  Commands:

.C color
    (where color is one of the available colors) causes text appearing on subsequent lines to be drawn in that color.

.S  size
    (where size is a percentage within the range 0 to 100) adjusts text size. Note that a size of 10 would allow 10 lines to be drawn in the active display frame, 5 would allow the drawing of 20 lines, and 50 would allow the drawing of 2 lines.

.F font
    (where font is one of the fonts known by the GRASS program d.font) manipulates the font type. Available fonts are listed in the GRASS manual entry for d.font. The default font type used (if unspecified by the user) is romans. Run the GRASS macro show.fonts.sh to see what these fonts look like.

.B 1
    stipulates that following text be printed in bold. This command means bold on.

.B 0
    turns bold off of all text appearing on lines beneath it. (Bold off is used by default, if unspecified by the user.)

EXAMPLE
The following command will print the short phrase "This is a test of d.text" in the active display frame using the color yellow, in bold, and using 4/100'ths (4%) of the active frame's vertical space per line:

d.text
    1 This is a test of d.text

The user presses control-d (the "ctrl" and "d" keys) to end input to d.text (equal to EOF).

NOTES
Note that the GRASS command d.title creates map TITLEs in a format suitable for input to d.text.

d.text needs escape sequences that can be used within lines to change colors, boldness, and perhaps size.

SEE ALSO
d.font
d.title
show.fonts.sh
d.text.freetype
parser

AUTHOR
James Westervelt, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2003/04/11 15:25:34 $

Help Index